routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@index')->name('home');
Route::post('/', 'HomeController@Calculate')->name('Calculate');

Route::resources([
    'Fileds' => 'FiledController',
    'Roles' => 'RoleController'
]);

Auth::routes(['register' => false]);

app/Http/Controllers/FiledController.php
<?php

namespace App\Http\Controllers;

use App\userField;
use Illuminate\Http\Request;
use App\Http\Requests\StoreUserFeild;

class FiledController extends Controller
{

  /**
   * Create a new controller instance.
   *
   * @return void
   */
    public function __construct()
    {
        $this->middleware('auth');
    }



    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $Fields = \App\userField::Gorder()->get();
        return view("Fileds.index", compact('Fields'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view("Fileds.create");
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreUserFeild $request)
    {
        $validated = $request->validated();
        \App\userField::Create([
          'name'=>$validated['FeildName'],
          'order'=>$validated['FeildOrder'],
          'is_checkbox'=>(isset($validated['is_checkbox']) && $validated['is_checkbox']) ? 1 : 0
        ]);
        return redirect(route('Fileds.index'))->with('success', __("Field Added successfully"));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\userField  $userField
     * @return \Illuminate\Http\Response
     */
    public function show(userField $userField)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\userField  $userField
     * @return \Illuminate\Http\Response
     */
    public function edit($id, userField $userField)
    {
        $Field = $userField->findOrFail($id);
        return view('Fileds.edit', compact('Field'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\userField  $userField
     * @return \Illuminate\Http\Response
     */
    public function update($id, StoreUserFeild $request, userField $userField)
    {
        $Field = $userField->findOrFail($id);
        $validated = $request->validated();
        $Field->name = $validated['FeildName'];
        $Field->order = $validated['FeildOrder'];
        $Field->is_checkbox = (isset($validated['is_checkbox']) && $validated['is_checkbox']) ? 1 : 0;
        $Field->save();
        return redirect(route('Fileds.index'))->with('success', __("Field Edited successfully"));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\userField  $userField
     * @return \Illuminate\Http\Response
     */
    public function destroy($id, userField $userField)
    {
        $Field = $userField->findOrFail($id);
        $Field->delete();
        return redirect(route('Fileds.index'))->with('success', __("Field Deleted successfully"));
    }
}

resources/views/Fileds/create.blade.php
@extends('layouts.mainLayout')
@section('content')

<div class="container-fluid">

  <!-- Page Heading -->
  <h1 class="h3 mb-2 text-gray-800">{{__("Add User Fields")}}</h1>
  <!-- DataTales Example -->
  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">{{__("Add User Field Form")}}</h6>
    </div>
    <div class="card-body">
  <form  action="{{route('Fileds.store')}}" method="post">
    @csrf


   <div class="form-group">
     <label for="FeildName">{{__("Feild Name")}}</label>
     <input type="text" class="form-control @error('FeildName') is-invalid @enderror" name="FeildName" id="FeildName" aria-describedby="FeildName" required minlength="3" placeholder="{{__("eg. age")}}">
     @error('FeildName')
         <div class="alert alert-danger">{{ $message }}</div>
     @enderror
     <small id="FeildHelp" class="form-text text-muted">{{__("to be displayed for users.")}}</small>
     <div class="invalid-feedback">
      {{__("it's a required Field and shall be over 3 letters")}}
     </div>
   </div>
   <div class="form-group">
     <label for="FeildOrder">{{__("Order")}}</label>
     <select required class="form-control @error('FeildOrder') is-invalid @enderror" name="FeildOrder" id="FeildOrder">
       @for ($i = 1; $i < 11; $i++)
         <option value="{{$i}}">{{$i}}</option>
        @endfor
     </select>
     @error('FeildOrder')
         <div class="alert alert-danger">{{ $message }}</div>
     @enderror
      <div class="invalid-feedback">
        {{__("it's a required Field")}}
      </div>
   </div>
   <div class="form-group">
    <div class="custom-control custom-switch">
     <input type="checkbox" value="1" name="is_checkbox" class="custom-control-input" id="is_checkbox">
     <label class="custom-control-label" for="is_checkbox">{{__("Field is a Checkbox?")}}</label>
    </div>
  </div>

   <button id="SubmitForm" type="submit" class="btn btn-success btn-icon-split">
     <span class="icon text-white-50">
       <i class="fas fa-check"></i>
     </span>
      <span class="text">{{__("Submit")}}</span>
    </button>
 </form>
    </div>
  </div>

</div>
<!-- /.container-fluid -->
@endsection

resources/views/Fileds/edit.blade.php
@extends('layouts.mainLayout')
@section('content')

<div class="container-fluid">

  <!-- Page Heading -->
  <h1 class="h3 mb-2 text-gray-800">{{("Edit User Fields")}}</h1>
  <!-- DataTales Example -->
  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">{{("Edit User Field Form")}}</h6>
    </div>
    <div class="card-body">
  <form  action="{{route('Fileds.update',['Filed'=>$Field->id])}}" method="post">
    @csrf
    @method('PUT')
   <div class="form-group">
     <label for="FeildName">{{__("Feild Name")}}</label>
     <input type="text" class="form-control @error('FeildName') is-invalid @enderror" value="{{$Field->name}}" name="FeildName" id="FeildName" aria-describedby="FeildName" required minlength="3" placeholder="{{__("eg. age")}}">
     @error('FeildName')
         <div class="alert alert-danger">{{ $message }}</div>
     @enderror
     <small id="FeildHelp" class="form-text text-muted">{{__("to be displayed for users.")}}</small>
     <div class="invalid-feedback">
      {{__("it's a required Field and shall be over 3 letters")}}
     </div>
   </div>
   <div class="form-group">
     <label for="FeildOrder">{{__("Order")}}</label>
     <select required class="form-control @error('FeildOrder') is-invalid @enderror" name="FeildOrder" id="FeildOrder">
       @for ($i = 1; $i < 11; $i++)
         <option @if($Field->order==$i) selected @endif value="{{$i}}">{{$i}}</option>
        @endfor
     </select>
     @error('FeildOrder')
         <div class="alert alert-danger">{{ $message }}</div>
     @enderror
      <div class="invalid-feedback">
        {{__("it's a required Field")}}
      </div>
   </div>
   <div class="form-group">
    <div class="custom-control custom-switch">
     <input type="checkbox" @if($Field->is_checkbox) checked @endif value="1" name="is_checkbox" class="custom-control-input" id="is_checkbox">
     <label class="custom-control-label" for="is_checkbox">{{__("Field is a Checkbox?")}}</label>
    </div>
  </div>

   <button id="SubmitForm" type="submit" class="btn btn-success btn-icon-split">
     <span class="icon text-white-50">
       <i class="fas fa-check"></i>
     </span>
      <span class="text">{{__("Update")}}</span>
    </button>
 </form>
    </div>
  </div>

</div>
<!-- /.container-fluid -->
@endsection

resources/views/Fileds/index.blade.php
@extends('layouts.mainLayout')
@section('content')

<div class="container-fluid">

  <!-- Page Heading -->
  <h1 class="h3 mb-2 text-gray-800">{{("User Fields")}}</h1>
  <p class="mb-4">
    {{__("User Fields: this is the factor that will appear to users to calculate their salary according to it")}} <b>{{__(" eg. Age")}}</b>
     <a target="_blank" href="/help"> {{__("Visit help for more info !")}} </a>.</p>

  <!-- DataTales Example -->
  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">{{("User Fields Table")}}</h6>
    </div>
    <div class="card-body">
      @if(count($Fields))
      <div class="table-responsive">
        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
          <thead>
            <tr>
              <th>{{__("Order")}}</th>
              <th>{{__("Name")}}</th>
              <th>{{__("Is a checkbox ?")}}</th>
              <th>{{__("Actions")}}</th>
            </tr>
          </thead>
          <tbody>
          @foreach($Fields as $Field)
            <tr>
              <td>{{$Field->order}}</td>
              <td>{{$Field->name}}</td>
              <td>{{$Field->is_checkbox ? __("Yes") : __("No") }}</td>
              <td>
                <a href="{{route('Fileds.edit',['Filed' => $Field->id])}}" class="btn btn-secondary btn-icon-split">
                  <span class="icon text-white-50">
                    <i class="fas fa-pen"></i>
                  </span>
                  <span class="text">{{__("Edit Feild")}}</span>
                </a>
                <a href="#" data-id="{{$Field->id}}" data-name="{{$Field->name}}" class="btn DeleteElement btn-danger btn-icon-split">
                  <span class="icon text-white-50">
                    <i class="fas fa-trash"></i>
                  </span>
                  <span class="text">{{__("Delete Feild")}}</span>
                </a>
                  <form style="display:inline;" id="DeleteElement{{$Field->id}}" action="{{route('Fileds.destroy',['Filed' => $Field->id])}}" method="POST">
                    @method('DELETE')
                    @csrf
                </form>

                <a href="{{route('Roles.create')}}?Field={{$Field->id}}" class="btn btn-success btn-icon-split">
                    <span class="icon text-white-50">
                      <i class="fas fa-check"></i>
                    </span>
                    <span class="text">{{__("Add Rule")}}</span>
                  </a>

              </td>
            </tr>
          @endforeach
          </tbody>
        </table>
      </div>
      @else
      {{__("there is not any fields yet please click add a field to add them.")}}
      @endif
    </div>
  </div>

</div>
<!-- /.container-fluid -->
@endsection